
"use strict";

let DescriptiveName = require('./DescriptiveName.js');
let WaitOnStopline = require('./WaitOnStopline.js');
let SPAT = require('./SPAT.js');
let MovementState = require('./MovementState.js');
let TimeIntervalConfidence = require('./TimeIntervalConfidence.js');
let ConnectionManeuverAssist = require('./ConnectionManeuverAssist.js');
let MovementList = require('./MovementList.js');
let IntersectionStatusObject = require('./IntersectionStatusObject.js');
let TimeChangeDetails = require('./TimeChangeDetails.js');
let SPATEM = require('./SPATEM.js');
let RoadRegulatorID = require('./RoadRegulatorID.js');
let IntersectionID = require('./IntersectionID.js');
let SpeedAdvice = require('./SpeedAdvice.js');
let DSecond = require('./DSecond.js');
let IntersectionStateList = require('./IntersectionStateList.js');
let IntersectionReferenceID = require('./IntersectionReferenceID.js');
let StationID = require('./StationID.js');
let MsgCount = require('./MsgCount.js');
let PedestrianBicycleDetect = require('./PedestrianBicycleDetect.js');
let IntersectionState = require('./IntersectionState.js');
let EnabledLaneList = require('./EnabledLaneList.js');
let AdvisorySpeedType = require('./AdvisorySpeedType.js');
let SpeedConfidenceDSRC = require('./SpeedConfidenceDSRC.js');
let MovementPhaseState = require('./MovementPhaseState.js');
let LaneConnectionID = require('./LaneConnectionID.js');
let AdvisorySpeed = require('./AdvisorySpeed.js');
let RestrictionClassID = require('./RestrictionClassID.js');
let LaneID = require('./LaneID.js');
let MovementEventList = require('./MovementEventList.js');
let ItsPduHeader = require('./ItsPduHeader.js');
let ManeuverAssistList = require('./ManeuverAssistList.js');
let AdvisorySpeedList = require('./AdvisorySpeedList.js');
let SignalGroupID = require('./SignalGroupID.js');
let MinuteOfTheYear = require('./MinuteOfTheYear.js');
let TimeMark = require('./TimeMark.js');
let MovementEvent = require('./MovementEvent.js');
let ZoneLength = require('./ZoneLength.js');

module.exports = {
  DescriptiveName: DescriptiveName,
  WaitOnStopline: WaitOnStopline,
  SPAT: SPAT,
  MovementState: MovementState,
  TimeIntervalConfidence: TimeIntervalConfidence,
  ConnectionManeuverAssist: ConnectionManeuverAssist,
  MovementList: MovementList,
  IntersectionStatusObject: IntersectionStatusObject,
  TimeChangeDetails: TimeChangeDetails,
  SPATEM: SPATEM,
  RoadRegulatorID: RoadRegulatorID,
  IntersectionID: IntersectionID,
  SpeedAdvice: SpeedAdvice,
  DSecond: DSecond,
  IntersectionStateList: IntersectionStateList,
  IntersectionReferenceID: IntersectionReferenceID,
  StationID: StationID,
  MsgCount: MsgCount,
  PedestrianBicycleDetect: PedestrianBicycleDetect,
  IntersectionState: IntersectionState,
  EnabledLaneList: EnabledLaneList,
  AdvisorySpeedType: AdvisorySpeedType,
  SpeedConfidenceDSRC: SpeedConfidenceDSRC,
  MovementPhaseState: MovementPhaseState,
  LaneConnectionID: LaneConnectionID,
  AdvisorySpeed: AdvisorySpeed,
  RestrictionClassID: RestrictionClassID,
  LaneID: LaneID,
  MovementEventList: MovementEventList,
  ItsPduHeader: ItsPduHeader,
  ManeuverAssistList: ManeuverAssistList,
  AdvisorySpeedList: AdvisorySpeedList,
  SignalGroupID: SignalGroupID,
  MinuteOfTheYear: MinuteOfTheYear,
  TimeMark: TimeMark,
  MovementEvent: MovementEvent,
  ZoneLength: ZoneLength,
};
